/* Pango
 * pangopdflib-context.h: Rendering contexts
 *
 * Copyright (C) 2000 Red Hat Software
 * Copyright (C) 2003 Sun Microsystems
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __PANGO_PDFLIB_CONTEXT_H__
#define __PANGO_PDFLIB_CONTEXT_H__

#include <pango/pangopdflib.h>

G_BEGIN_DECLS

typedef struct _PangoPDFLIBContext      PangoPDFLIBContext;
typedef struct _PangoPDFLIBContextClass PangoPDFLIBContextClass;

#define PANGO_TYPE_PDFLIB_CONTEXT              (pango_pdflib_context_get_type ())
#define PANGO_PDFLIB_CONTEXT(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), PANGO_TYPE_PDFLIB_CONTEXT, PangoPDFLIBContext))
#define PANGO_PDFLIB_CONTEXT_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), PANGO_TYPE_PDFLIB_CONTEXT, PangoPDFLIBContextClass))
#define PANGO_IS_PDFLIB_CONTEXT(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), PANGO_TYPE_PDFLIB_CONTEXT))
#define PANGO_IS_PDFLIB_CONTEXT_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), PANGO_TYPE_PDFLIB_CONTEXT))
#define PANGO_PDFLIB_CONTEXT_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), PANGO_TYPE_PDFLIB_CONTEXT, PangoPDFLIBContextClass))


GType         pango_pdflib_context_get_type      (void) G_GNUC_CONST;

#ifdef PANGO_ENABLE_BACKEND
PangoContext * pango_pdflib_context_new             (void);
void           pango_pdflib_context_set_debug_flags (PangoContext         *context,
						     PangoPDFLIBDebugFlags debug_flags);
PDF *          pango_pdflib_context_get_pdf_doc     (PangoContext *context);
void           pango_pdflib_context_set_pdf_doc     (PangoContext *context,
						     PDF          *pdf_doc);
#endif /* PANGO_ENABLE_BACKEND */

PangoPDFLIBDebugFlags pango_pdflib_context_get_debug_flags (PangoContext *context);

G_END_DECLS

#endif /* __PANGO_PDFLIB_CONTEXT_H__ */
